"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.autodocPlugin = void 0;
const core_1 = require("@vuepress-denaro/core");
const utils_1 = require("@vuepress/utils");
const md_plugin_autodoc_1 = require("./md-plugin-autodoc");
const autodocPlugin = ({ rootPath } = {}) => {
    const pluginObj = {
        name: `${core_1.pluginNamePrefix}autodoc`,
        extendsMarkdown(md) {
            md.set({ breaks: true });
            md.use(md_plugin_autodoc_1.mdPluginAutodoc, { rootPath });
        },
        clientConfigFile: utils_1.path.resolve(__dirname, '../client/config.js'),
    };
    return pluginObj;
};
exports.autodocPlugin = autodocPlugin;
